Bug 1124284 - [abrt] system-config-printer: system-config-printer.py:1766:on_edit_activate:IndexError: list index out of range
Summary: [abrt] system-config-printer: system-config-printer.py:1766:on_edit_activate:...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-printer
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:c09b936ebaa7a49ca7d44c52980...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-29 07:52 UTC by mr.vieq
Modified: 2014-10-21 10:27 UTC (History)
3 users (show)

Fixed In Version: system-config-printer-1.4.6-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-21 10:27:06 UTC


Attachments (Terms of Use)
File: backtrace (492 bytes, text/plain)
2014-07-29 07:52 UTC, mr.vieq
no flags Details
File: environ (1.22 KB, text/plain)
2014-07-29 07:52 UTC, mr.vieq
no flags Details

Description mr.vieq 2014-07-29 07:52:33 UTC
Version-Release number of selected component:
system-config-printer-1.4.5-3.fc20

Additional info:
reporter:       libreport-2.2.3
cmdline:        /usr/bin/python /usr/share/system-config-printer/system-config-printer.py
executable:     /usr/share/system-config-printer/system-config-printer.py
kernel:         3.15.6-200.fc20.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
system-config-printer.py:1766:on_edit_activate:IndexError: list index out of range

Traceback (most recent call last):
  File "/usr/share/system-config-printer/system-config-printer.py", line 1766, in on_edit_activate
    self.dests_iconview_item_activated (self.dests_iconview, paths[0])
IndexError: list index out of range

Local variables in innermost frame:
UNUSED: (<Action object at 0x1f75e60 (GtkAction at 0x1cbcc40)>,)
paths: []
self: <GUI object at 0x19b7910 (uninitialized at 0x0)>

Comment 1 mr.vieq 2014-07-29 07:52:36 UTC
Created attachment 922051 [details]
File: backtrace

Comment 2 mr.vieq 2014-07-29 07:52:37 UTC
Created attachment 922052 [details]
File: environ

Comment 4 Fedora Update System 2014-10-17 16:40:29 UTC
system-config-printer-1.4.6-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/system-config-printer-1.4.6-1.fc20

Comment 5 Fedora Update System 2014-10-18 16:58:24 UTC
Package system-config-printer-1.4.6-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing system-config-printer-1.4.6-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-13184/system-config-printer-1.4.6-1.fc20
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2014-10-21 10:27:06 UTC
system-config-printer-1.4.6-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.